package com.nisum.offertransactionservice.config;

import com.nisum.offertransactionservice.genericexception.GlobalApiGenericException;
import feign.Response;
import feign.codec.ErrorDecoder;
public class CustomErrorDecoder implements ErrorDecoder {
    @Override
    public Exception decode(String methodKey, Response response) {
        String httpStatusDesc = null;
        switch (response.status()) {
            case 400:
                httpStatusDesc = "Bad Request";
                break;
            case 404:
                httpStatusDesc = "Not found";
                break;
            case 500:
                httpStatusDesc = "Internal Error";
                break;
            default:
                httpStatusDesc = "Generic error";
        }
        return  new GlobalApiGenericException(Integer.toString(response.status()), true, null);
    }
}
